#
# spec file for package libelf (Version 0.8.5)
#

Name:         libelf
Summary:      An ELF Object File Access Library
Version:      0.8.5
Release:      0
License:      LGPL
Group:        System/Libraries
URL:          http://www.stud.uni-hannover.de/~michael/software/
Source:       libelf-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

Packager:	Matthias G. Eckermann <mge@suse.de>
Distribution:	SuSE SLES-8 (i386) Addon

%description
The libelf package contains a library for accessing ELF object files.
Libelf allows you to access the internals of the ELF object file
format, so you can see the different sections of an ELF file.

Authors:
--------
    Michael Riepe <michael@stud.uni-hannover.de>

%prep
%setup

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared %{_target_cpu}-suse-linux --libdir=%{_libdir}
make

%install
make install instroot=$RPM_BUILD_ROOT
# remove the wrapper includes
rm -f $RPM_BUILD_ROOT/usr/include/*.h

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING.LIB VERSION
%{_libdir}/libelf.*
/usr/include/libelf
/usr/share/locale/*/LC_MESSAGES/libelf.mo

%changelog -n libelf
* Wed Jul 28 2004 - mge@suse.de
- compile for SLES 8
* Mon Feb 16 2004 - coolo@suse.de
- version update
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Thu Jun 05 2003 - coolo@suse.de
- update to 0.8.4
* Wed May 14 2003 - coolo@suse.de
- package translation too
* Fri Oct 04 2002 - coolo@suse.de
- include two patches by Jakub to make prelinking work
* Wed Jul 10 2002 - tcrhak@suse.cz
- update to version 0.8.2
* Fri Mar 15 2002 - tcrhak@suse.cz
- added dir /usr/include/libelf to filelist
* Fri Jan 18 2002 - tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
- bziped sources
- fixed buildroot, makefile patch
* Tue Oct 16 2001 - aj@suse.de
- Fix handling of Elf64_Sxword (upper 32 bits were destroyed).
* Wed Mar 14 2001 - fober@suse.de
- added suse_update_config
* Thu Jun 08 2000 - cihlar@suse.cz
- added %%clean
* Wed Jan 12 2000 - kukuk@suse.de
- Remove ExcludeArch for alpha
* Tue Dec 21 1999 - kukuk@suse.de
- Initial version
